Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStocks")> _
Public Class BankImportNameParameters
    Inherits BaseObject
    Private _NoteRow As String 'Sorhoz tartozó közlemény
    Private _ChartOfAccounts As ChartOfAccounts
    Private _Controlling As Controlling

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property NoteRow As String
        Get
            Return _NoteRow
        End Get
        Set(value As String)
            SetPropertyValue("NoteRow", _NoteRow, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("IsParent=False")>
    Property ChartOfAccounts As ChartOfAccounts
        Get
            Return _ChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("ChartOfAccounts", _ChartOfAccounts, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("IsParent=False")>
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
End Class
